MFA

List

get

Retrieve information about one or multiple MFA.

Query parameters
SiteIdinteger · int32Optional

Site ID from which to retrieve the Multi Factor Authentication information (optional).

NamestringOptional

The name of the multi factor authentication for which to retrieve the information. This must be the actual MFA name used in the RAS farm.

Responses
chevron-right
200

Success

application/json; api-version=1.0

MFA Settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

get
/api/MFA

Get

get

Retrieve information about one MFA by ID.

Path parameters
idinteger · int32Required

The ID of a MFA for which to retrieve the information.

Responses
chevron-right
200

Success

application/json; api-version=1.0

MFA Settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

get
/api/MFA/{id}

Delete

delete

Remove a MFA from a site.

Path parameters
idinteger · int32Required

The ID of a MFA to remove from the site.

Responses
delete
/api/MFA/{id}

No content

Last updated